---
title: Billing FAQs
description: Frequently asked questions related to billing
keywords: billing, renewal, payments, faq
---

### Where can I view my billing date?

Sign in to Hub, then:

1. Select your user avatar to open the drop-down menu.
2. Select **Billing**.
3. Select the user or organization account to view the billing details.

Here you can find your renewal date near the bottom-right of your plan details.

### What credit and debit cards are supported?

- Visa
- MasterCard
- American Express
- Discover
- JCB
- Diners
- UnionPay

### What currency is supported?

United States dollar (USD).

### What happens if my subscription payment fails?

If your subscription payment fails, there is a grace period of 15 days, including the due date. Docker retries to collect the payment 3 times using the following schedule:

- 3 days after the due date
- 5 days after the previous attempt
- 7 days after the previous attempt

Docker also sends an email notification `Action Required - Credit Card Payment Failed` with an attached unpaid invoice after each failed payment attempt. 

Once the grace period is over and the invoice is still not paid, the subscription downgrades to a free plan and all paid features are disabled.

### What information is included on my billing invoice?

Your invoice includes the following:

- Invoice number
- Date of issue
- Date due
- Your bill to information
- Amount due
- Description of your order, quantity if applicable, unit price, and amount

Amounts are in USD.

The information listed in the Bill to section is based on your billing information. Not all fields are required. The billing information includes the following:

- Name (required) - the name of the administrator or company.
- Email address (required) - the email address that receives all billing-related emails for the account.
- Address (required)
- Phone number
- Tax ID or VAT

### How can I make changes to a billing invoice?

You can’t make changes to a paid or unpaid billing invoice. When you update your billing information, this change won't update an existing invoice. If you need to update your billing information, make sure you do so before your subscription renewal date when your invoice is finalized. For more information, see [Update the billing information](details.md).

### When during the billing cycle do I receive my invoice?

You receive your invoice when the subscription renews. To verify your renewal date, sign in to Hub, then:

1. Select your user avatar to open the drop-down menu.
2. Select **Billing**.
3. Select the user or organization account to view the billing details. Here you can find your renewal date and the renewal amount.

### What billing-related emails will I receive from Docker Hub?

Docker Hub sends the following billing-related emails:

- Confirmation of a new subscription.
- Confirmation of paid invoices. 
- Notifications of credit or debit card payment failures. 
- Notifications of credit or debit card expiration. 
- Confirmation of a cancelled subscription 
- Reminders of subscription renewals for annual subscribers. This is sent 14 days before the renewal date. 

### Does Docker offer academic pricing?

Contact the [Docker Sales Team](https://www.docker.com/company/contact).

### Do I need to do anything at the end of my subscription term?

No. All monthly and annual subscriptions are automatically renewed at the end of the term using the original form of payment.

### How do I redeem a coupon?

You can redeem a coupon for any paid Docker subscription. 

A coupon can be used when you:
- Sign up to a new paid subscription from a free subscription
- Upgrade an existing paid subscription 

You are asked to enter your coupon code when you confirm or enter your payment method. 

If you use a coupon to pay for a subscription, when the coupon expires, your payment method is charged the full cost of your subscription. If you don't have a saved payment method, your account downgrades to a free subscription.

### How do I include my VAT number on my invoice?

Update your billing information to include your VAT number:

1. Sign in to Docker Hub.
2. For user accounts, Select your avatar in the top-right corner, then **Billing**. For organizations, select the name of the organization.
3. Select the **Payment methods and billing history** link.
4. In the **Billing Information** section, select **Update information**.
5. In the **Tax ID** section, select the ID type and enter your VAT number.
6. Select **Save**.

Your VAT number will be included on your next invoice.

### How do I update the email that receives billing invoices?

For user accounts:

1. Select your avatar in the top-right corner of Docker Hub.
2. From the drop-down menu select **Billing**.
3. Select the **Payment methods and billing history** link.
4. Select **Update information**, then enter your new email address.
5. Select **Save**.

For organizations:

1. Select your avatar in the top-right corner of Docker Hub.
2. From the drop-down menu select **Billing**.
3. Select the name of the organization.
4. Select the **Payment methods and billing history** link.
5. Select **Update information**, then enter your new email address.
6. Select **Save**.